Commit f5602be3 authored by Daniel Bissani Furlin's avatar Daniel Bissani Furlin

Issue SCRUM#195: Make overlay

parent 3fe27c7d
chroot
chroot-beta*
image
chroot-ultima.tar.gz
*.swp
iso/**/*.iso
israel-version
initrd*
iso/*
......@@ -106,6 +106,7 @@ execChroot() {
_DIR=$2
chmod +x $_FILE
cp $_FILE ${CHROOTDIR}/tmp/exec.sh
rm $_FILE
chroot $_DIR /tmp/exec.sh
return $?
}
TMP=/dev/shm/${_DIST}/
ISOLINUX=${PREFIX}/src/isolinux/
DISTRO=Linux_Educacional_6
SHORTNAME=le6
TMP=/dev/shm/${_DIST}/
CHROOTDIR=/dev/shm/create-iso/
SCRIPTSDIR=${PREFIX}/scripts-enabled/${_DIST}/
CHROOTFILE=${TMP}/todo.sh
DISTRO=Linux_Educacional_6
DPLIST=${PREFIX}/pkg-list/${_DIST}/dependencies.list
RMDSKT=${PREFIX}/pkg-list/${_DIST}/remove-desktop.list
RMLIST=${PREFIX}/pkg-list/${_DIST}/remove.list
INSTLIST=${PREFIX}/pkg-list/${_DIST}/install.list
CHROOTFILE=${TMP}/todo.sh
ISOLINUX=${PREFIX}/src/isolinux/
MOUNTLIST=${TMP}/mountlist
SOURCESLISTDEFAULT=${PREFIX}/sources-list/${_DIST}/default.list
OURSOURCESLIST=${PREFIX}/sources-list/${_DIST}/${SHORTNAME}.list
RMDSKT=${PREFIX}/pkg-list/${_DIST}/remove-desktop.list
RMLIST=${PREFIX}/pkg-list/${_DIST}/remove.list
SCRIPTSDIR=${PREFIX}/scripts-enabled/${_DIST}/
SOURCESLISTDEFAULT=${PREFIX}/sources-list/${_DIST}/default.list
......@@ -4,5 +4,5 @@ mount --bind /dev chroot/dev
mount --bind /dev/pts chroot/dev/pts
mount --bind /sys chroot/sys
mount --bind /proc chroot/proc
chroot chroot dbus-uuidgen > chroot/var/lib/dbus/machine-id
#chroot chroot dbus-uuidgen > chroot/var/lib/dbus/machine-id
chroot chroot
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
source common.sh
if [ "$(id -u)" != "0" ]; then
echo You must have more power to run this script
......@@ -18,10 +37,11 @@ fi
_DIST=$1
export PREFIX=$(pwd)
SCRIPTSDIR="${PREFIX}/scripts-enabled/${_DIST}/"
source ${PREFIX}/conf/$_DIST/create-iso.conf \
|| log ERROR "configuration file not found for dist: \"${_DIST}\""
source common.sh
mkdir -p ${TMP}
sudo apt-get install syslinux squashfs-tools genisoimage xorriso \
......@@ -30,7 +50,7 @@ sudo apt-get install syslinux squashfs-tools genisoimage xorriso \
for file in $(ls ${SCRIPTSDIR}); do
if [ -x "${SCRIPTSDIR}/${file}" ] && egrep -q '^[0-9]{2}-[a-z-]+' <<< "$file"; then
echo "$file"
if ! "${SCRIPTSDIR}/${file}" ${_DIST}; then
if ! "${SCRIPTSDIR}/${file}" ${_DIST} ${CHROOTDIR} ${CHROOTFILE} ${DISTRO} ${DPLIST} ${INSTLIST} ${ISOLINUX} ${MOUNTLIST} ${OURSOURCESLIST} ${RMDSKT} ${RMLIST} ${SCRIPTSDIR} ${SHORTNAME} ${SOURCESLISTDEFAULT} ${TMP}; then
log ERROR "While running \"${SCRIPTSDIR}/${file}\""
fi
fi
......
ubuntu-standard
casper
lupin-casper
discover
laptop-detect
os-prober
linux-generic
dbus
wget
#le-all
linux-generic
plymouth-x11
network-manager
ubiquity-frontend-gtk
lightdm
gdm3
gnome-shell
ubiquity
printer-driver-all
cups
ibus-gtk
ibus-gtk3
file-roller
libreoffice
le-edubar
#le-interface
le-lab
le-ubiquity-slideshow
plymouth-theme-le-logo
unattended-upgrades
xorg
vim
nautilus
numlockx
unrar
ubuntu-session
firefox
gcc
evince
eog
language-pack-en
language-pack-en-base
language-pack-es
language-pack-es-base
language-pack-pt
language-pack-pt-base
language-pack-gnome-en
language-pack-gnome-en-base
language-pack-gnome-es
language-pack-gnome-es-base
language-pack-gnome-pt
language-pack-gnome-pt-base
#webbrowser-app
#xserver-xorg
le-live-all
ubiquity
ubiquity-frontend-gtk
ubiquity-frontend-kde
casper
lupin-casper
live-initramfs
user-setup
discover1
xresprobe
discover
os-prober
libdebian-installer4
le-ubiquity-slideshow
......@@ -23,4 +23,3 @@ rm -rf $TMP/bl/
rm $TMP/list
exit 0
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
PREFIX=$PWD
source ${PREFIX}/conf/$_DIST/create-iso.conf
source ${PREFIX}/common.sh
initChroot $_DIST || \
......
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
_DIST=$1
export PREFIX=$PWD
source ${PREFIX}/conf/$_DIST/create-iso.conf
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
PREFIX=$PWD
source ${PREFIX}/common.sh
sudo mksquashfs $CHROOTDIR ${TMP}/image/casper/filesystem.squashfs ||\
......
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
PREFIX=$PWD
source ${PREFIX}/conf/$_DIST/create-iso.conf
source ${PREFIX}/common.sh
cat ${DPLIST} | grep -v '^#' | tr '\n' ''
addToChrootFile $CHROOTFILE "env PATH='/fakebin:${PATH}'"
addToChrootFile $CHROOTFILE "env DEBIAN_FRONTEND=noninteractive"
addToChrootFile $CHROOTFILE "apt-get --allow-unauthenticated -q -y install --purge $(cat ${DPLIST} | grep -v '^#' | tr '\n' ' ')"
addToChrootFile $CHROOTFILE "export DEBIAN_FRONTEND=noninteractive"
addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y install $(cat ${DPLIST} | grep -v '^#' | tr '\n' ' ')"
initChroot $_DIST || \
log ERROR "failed to initialize chroot."
execChroot $CHROOTFILE $CHROOTDIR
......
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
PREFIX=$PWD
source ${PREFIX}/conf/$_DIST/create-iso.conf
source ${PREFIX}/common.sh
addToChrootFile $CHROOTFILE "env PATH='/fakebin:${PATH}'"
# Repositorio do C3SL com problemas de autenticacao
addToChrootFile $CHROOTFILE "export DEBIAN_FRONTEND=noninteractive"
addToChrootFile $CHROOTFILE "apt-get --allow-unauthenticated -q -y install --purge $(cat ${INSTLIST} | grep -v '^#' | tr '\n' ' ')"
addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y install le-live-all"
addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y install $(cat ${INSTLIST} | grep -v '^#' | tr '\n' ' ')"
exit 0
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
PREFIX=$PWD
source ${PREFIX}/conf/$_DIST/create-iso.conf
source ${PREFIX}/common.sh
cp ${CHROOTDIR}/boot/vmlinuz-*-generic ${TMP}/image/casper/vmlinuz || exit 1
if [ ! -d ${PREFIX}/initrd ]; then
mkdir ${PREFIX}/initrd
else
rm -rf ${PREFIX}/initrd/*
fi
ls ${CHROOTDIR}/boot/
initname=$(ls "${CHROOTDIR}/boot/" | grep "initrd.*")
if [ "$(ls "${CHROOTDIR}/boot/" | grep -c "initrd.*")" -gt "1" ]; then
initname="initrd"$(echo ${initname##*initrd})
fi
echo "initname = '${initname}'"
cd ${PREFIX}/initrd
gzip -dc ${CHROOTDIR}/boot/${initname} | cpio -id
cp ${PREFIX}/src/preseed/preseed.cfg ${PREFIX}/initrd/
broken_links=$(find . -type l ! -exec test -e {} \; -print)
for broken_link in ${broken_links}; do
path_file=$(readlink -m ${broken_link})
......@@ -34,4 +71,5 @@ for broken_link in ${broken_links}; do
done
find . | cpio --quiet --dereference -o -H newc | lzma -7 > ../initrd.lz
cd ..
cp initrd.lz ${TMP}/image/casper/initrd.lz || exit 1
exit 0
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
_DIST=$1
export PREFIX=$PWD
source ${PREFIX}/conf/$_DIST/create-iso.conf
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
PREFIX=$PWD
source common.sh
#This packages must not appear in the manifest
sudo cp ${TMP}/image/casper/filesystem.manifest ${TMP}/image/casper/filesystem.manifest-desktop
IFS_OLD=$IFS
IFS=$'\n'
for package in $(cat RMDSKT)
for package in $(cat ${RMDSKT})
do
sudo sed -i "/${package}/d" ${TMP}/image/casper/filesystem.manifest-desktop
done
......
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
PREFIX=$PWD
_DIST=$1
source ${PREFIX}/conf/$_DIST/create-iso.conf
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
PREFIX=$PWD
OVERLAY=$(mktemp --suffix \-overlay --directory)
mkdir --mode=0700 --parents "${OVERLAY}/upper"
......
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
_DIST=$1
export PREFIX=$PWD
source ${PREFIX}/conf/$_DIST/create-iso.conf
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
PREFIX=$PWD
source common.sh
# Umount mounted dir to generate the manifest file in `pre-manifest.sh`
......
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
export PREFIX=$PWD
source ${PREFIX}/conf/$_DIST/create-iso.conf
source common.sh
#mount casper dir on chroot for generating the manifest file
......
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
# PreRequirements:
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
PREFIX=$PWD
source ${PREFIX}/conf/$_DIST/create-iso.conf
source ${PREFIX}/common.sh
addToChrootFile $CHROOTFILE "apt-get -y purge $(cat ${RMLIST} | grep -v "^#" | tr '\n' ' ')"
......
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
_DIST=$1
CHROOTDIR=$2
CHROOTFILE=$3
DISTRO=$4
DPLIST=$5
INSTLIST=$6
ISOLINUX=$7
MOUNTLIST=$8
OURSOURCESLIST=$9
RMDSKT=${10}
RMLIST=${11}
SCRIPTSDIR=${12}
SHORTNAME=${13}
SOURCESLISTDEFAULT=${14}
TMP=${15}
PREFIX=$PWD
source ${PREFIX}/conf/$_DIST/create-iso.conf
echo "TMP = ${TMP}"
mkdir -p ${TMP}/image/{casper,isolinux,install} || exit 1
cp ${CHROOTDIR}/boot/vmlinuz-*-generic ${TMP}/image/casper/vmlinuz || exit 1
cp initrd.lz ${TMP}/image/casper/initrd.lz || exit 1
#cp initrd.lz ${TMP}/image/casper/initrd.lz || exit 1
cp -r src/pool ${TMP}/image/ || exit 1
cp /usr/lib/ISOLINUX/isolinux.bin ${TMP}/image/isolinux/ || exit 1
cp /usr/lib/syslinux/modules/bios/ldlinux.c32 ${TMP}/image/isolinux/ || exit 1
......@@ -15,11 +48,12 @@ cp src/isolinux.txt ${TMP}/image/isolinux/ || exit 1
cp src/isolinux/* ${TMP}/image/isolinux/ || exit 1
cp -r src/pool ${TMP}/image/ || exit 1
cp -r src/dists ${TMP}/image/ || exit 1
cp src/preferences ${CHROOTDIR}/etc/apt/
printf $(sudo du -sx --block-size=1 ${CHROOTDIR} | cut -f1) > ${TMP}image/casper/filesystem.size || exit 1
cp src/README.diskdefines ${TMP}/image/ || exit 1
touch ${TMP}image/ubuntu || exit 1
mkdir ${TMP}/image/.disk || exit 1
cd ${TMP}/image/.disk || exit 1
cd ${TMP}/image/.disk || exit 1
touch base_installable || exit 1
echo "full_cd/single" > cd_type || exit 1
echo "Linux-Educacional 6.0" > info || exit 1
......
#!/bin/bash
#
# Copyright (C) 2017 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of create-iso
#
# le6-conf is free software; you can redistribute it and/or